{
  "info": "",
  "script_in_use": true,
  "field": {
    "new_record": [
      ["suad_supplier_id", "=", "su_supplier_id"]
    ],
    "suad_supplier_id": [],
    "suad_address_type": [],
    "suad_address": [
      ["suad_TEE_TEKSTIOS"]
    ],
    "suad_post_code": [
      ["suad_TEE_TEKSTIOS"]
    ],
    "suad_post_office": [
      ["suad_post_office", "=", ["_str_Format", ["suad_post_office"]]],
      ["suad_TEE_TEKSTIOS"]
    ],
    "suad_telephone_area_code": [],
    "suad_telephone_number": [],
    "suad_info": [],
    "suad_text_address": [],
    "suad_transfer_id": []
  },
  "function": {
    "suad_TEE_TEKSTIOS": [
      [
        "if", ["su_name", "exist"],
        [
          ["suad_text_address", "=", ["su_name"]]
        ],
        "else",
        [
          ["suad_text_address", "=", ""]
        ]
      ],
      [
        "if", ["suad_address", "<>", ""],
        [
          ["suad_text_address", "=", ["concatWith", [["\n", "suad_text_address", "suad_address"]]]]
        ]
      ],
      [
        "if", ["suad_post_code", "<>", ""],
        [
          ["suad_text_address", "=", ["concatWith", [["\n", "suad_text_address", "suad_post_code"]]]],
          [
            "if", ["suad_post_office", "<>", ""],
            [
              ["suad_text_address", "=", ["concatWith", [[" ", "suad_text_address", "suad_post_office"]]]]
            ]
          ]
        ],
        "else",
        [
          [
            "if", ["suad_post_office", "<>", ""],
            ["suad_text_address", "=", ["concatWith", [["\n", "suad_text_address", "suad_post_office"]]]]
          ]
        ]
      ],
      [
        "if", ["su_country", "<>", ""],
        [
          ["suad_text_address", "=", ["concatWith", [["\n", "suad_text_address", "su_country"]]]]
        ]
      ]
    ]
  }
}
